#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA3,0x10,0xEC,0xB8,0xA5,0x1D,0x17,0xBF,0x46,0xA1,0x90,0x71,
		0x3B,0xD2,0x4D,0xEF,0xA0,0x66,0xF7,0xC4,0x5D,0xE4,0x8A,0x42,
		0x38,0x55,0xA0,0xA4,0x3F,0x03,0x21,0x24,0x8B,0xBA,0x14,0x8A,
		0x61,0x67,0x79,0xD9,0xAB,0x22,0x2B,0xF4,0xAA,0xF1,0xE8,0x9E,
		0xB6,0x36,0xA3,0x33,0xA6,0xCD,0x24,0x8D,0xD4,0x41,0x18,0x4D,
		0xD9,0xA7,0x2E,0x03,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
